André Glöckner

SSL Test with wrong Android 4.4 config

Discussion created by André Glöckner on May 23, 2016
Latest reply on May 29, 2016 by André Glöckner

Hi!

On your Android 4.4 page (Qualys SSL Labs - Projects / User Agent Capabilities: Android 4.4.2) you have configured the wrong cipher suites.

According to <uses-sdk> | Android Developers  Android 4.4 ist API level 19 which doesn't support your first 8 listed cipher suites as you can see here SSLEngine | Android Developers.

Due to the wrong test scenario my webhoster (webspace4all.de) claims everything is correct, but for instance TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 isn't supported by Android 4.4! That's why I can't access my owncloud with my mobile phone.

Please, correct your test scenario.

Regards,

Bodo Biker

Outcomes